com.cloudera.flume.handlers.thrift

## Enum Priority

- java.lang.Object
- - java.lang.Enum<Priority>
  - - com.cloudera.flume.handlers.thrift.Priority

- All Implemented Interfaces:
    Serializable, Comparable<Priority>, org.apache.thrift.TEnum

      public enum Priority
      extends Enum<Priority>
      implements org.apache.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `FATAL`
    `INFO`
    `TRACE`
    `WARN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Priority` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static Priority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Priority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FATAL

          public static final Priority FATAL

    - #### ERROR

          public static final Priority ERROR

    - #### WARN

          public static final Priority WARN

    - #### INFO

          public static final Priority INFO

    - #### DEBUG

          public static final Priority DEBUG

    - #### TRACE

          public static final Priority TRACE

  - ### Method Detail

    - #### values

          public static Priority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Priority c : Priority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Priority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.thrift.TEnum`

    - #### findByValue

          public static Priority findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.